### Method

# GUPnP Context set_default_language

#### Declaration [src]

    void
    gupnp_context_set_default_language (
      GUPnPContext* context,
      const char* language
    )

#### Description [src]

Set the default language for the Content-Language header to `language`.

If the client sends an Accept-Language header the UPnP HTTP server is required to send a Content-Language header in return. If there are no files hosted in languages which match the requested ones the Content-Language header is set to this value. The default value is “en”.

Available since: | 0.18.0

Sets property | `GUPnP.Context:default-language`

#### Parameters

`language` | `const char*`
| A language tag as defined in RFC 2616 3.10
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.